## Read XY data 
##  by M.S.  2011/12/31
##    <X>  <Y>  
###
# @Version: $Id: XY_dat.pm 9 2013-06-30 03:03:30Z vlbi $
#
package XY_dat;
use Exporter;
use Carp;

@ISA = qw(Exporter);

@EXPORT = qw();

BEGIN{
}

sub new ($){
    my $pkg = shift;
    my $this = {};
    bless $this;
    $this;
}

sub Xarr($){
    my $pkg = shift;
    @{$pkg->{xarr}};
}

sub Yarr($){
    my $pkg = shift;
    @{$pkg->{yarr}};
}

sub Comment($){
    my $pkg = shift;
    @{$pkg->{comment}};
}


sub Read($$){
    my ($pkg,$fname) = @_;
    unless(open(IN,$fname) ){
	print STDERR "Error: Failed to open file($fname) \n";
	return -1;
    }
    my (@xarr, @yarr, @cmt);
    my $cnt=0;
    my $icmt=0;
    while(<IN>){
	if(/^\#/){chomp; $cmt[$icmt++] = $_; next;}
	if(/\s*(\S+)\s+(\S+)/){
	    $xarr[$cnt] = $1;
	    $yarr[$cnt++] = $2;
	}
    }
    $pkg->{xarr}=\@xarr;
    $pkg->{yarr}=\@yarr;
    $pkg->{comment}=\@cmt;
    return $cnt;
}

1;
