#
#  Logging system, especially with time stamp
#  @Auther: by M.Sekido 
#  @Date:  2007.5.18 
#  @Version: $Id: Logsys.pm 9 2013-06-30 03:03:30Z vlbi $
#
#
#
package Logsys;
use Exporter;
# use lib "$ENV{HOME}/prog/perl/module";
# use Time_lib;

@ISA = qw(Exporter);

@EXPORT = qw();

BEGIN{
}

DESTROY{
    close($log) if(defined($log));
}

sub new ($){
    my $pkg = shift;
    my $this = {};
    bless $this;
    $this;
}

sub Set_logfile($$){
    my ($pkg,$logfile) = @_;
    unless(open($log, ">$logfile")){
	print STDERR "Error in Logsys::Set_logfile(): ";
	print STDERR "Failed to open logfile($logfile)\n";
	return -1;
    }
    select($log); $|=1;
    $pkg->{log} = $log;
}

## $ntflag ==1, no time tag added 
sub Message($$;$){
    my ($pkg,$msg,$ntflag) = @_;
    my @tm = gmtime;
    $tm[5] +=1900;
    $tm[4] +=1;
#    $tm[3] +=1;
    
    if(defined($log)){
	if(defined($ntflag) && $ntflag ==1){ print $log "$msg"; }
	else{
	    printf $log "%04d/%02d/%02d-%02d:%02d:%02d: %s", 
	    $tm[5], $tm[4], $tm[3], $tm[2], $tm[1], $tm[0], 
	    $msg ;
	}
    }

}

1;
