# @Version: $Id: Maxmin.pm 9 2013-06-30 03:03:30Z vlbi $
#
package Maxmin;
use Exporter;
@ISA = qw(Exporter);
@EXPORT = qw(maxmin maxminp min max maxmin2d);

BEGIN{
};

sub maxmin(@)
 {
   my (@arr) = @_;
#   unless(defined(@arr)){
   unless(@arr){
       print STDERR "E Maxmin::maxmin(): data array is not defined\n";
       return -1;
   }
   my $ndata = @arr;
   my ($max, $min) = ($arr[0], $arr[0]);
   my $i;
   my ($imax, $imin)= (0,0);
   for($i=0; $i<$ndata; $i++){
       if ($max < $arr[$i]){
	   $max = $arr[$i] ;
	   $imax = $i;
       }; 
       if ($min > $arr[$i]) {
	   $min = $arr[$i];
	   $imin = $i;
       }
   }
  return($max, $min, $imax, $imin);
 }

sub maxminp(\@)
{
    my ($arr) = shift;
    my $ndata = @$arr;
    my ($max, $min) = ($$arr[0], $$arr[0]);
    my $i;
    my ($imax, $imin)= (0,0);
    for($i=0; $i<$ndata; $i++){
	if ($max < $$arr[$i]){
	    $max = $$arr[$i];
	    $imax = $i;
	}
	if ($min > $$arr[$i]) {
	    $min = $$arr[$i];
	    $imin = $i;
 	}
    }
    return($max, $min, $imax, $imin);
}

 sub min (@)
 {
   @arr = @_;
   my $ndata = @arr;
   my $min = $arr[0];
   my $i;
   for($i=0; $i<$ndata; $i++){
     $min = $arr[$i] if ($min > $arr[$i]); 
   }
  $min;
 }

sub max (@)
{
    my @arr = @_;
    my $ndata = @arr;
    my $max = $arr[0];
    my $i;
    for($i=0; $i<$ndata; $i++){
	$max = $arr[$i] if ($max < $arr[$i]); 
    }
    
    $max;
}

sub maxmin2d(\@)
{
    my ($parr) = shift;
    unless(defined($parr)){
	print STDERR "E Maxmin::Maxmin2d(): array not defined\n";
	return -1;
    }
    my $ny = @$parr;
    my $tmp = $$parr[0];
    my $nx  = @$tmp;
    my $min = $$tmp[0];
    my $max = $$tmp[0];

    my ($i, $j);

    for( $i=0; $i<$ny; $i++){
	my $arry = $$parr[$i];
	$nx  = @$arry;
	for( $j=0; $j<$nx; $j++){
	    next unless(defined($$arry[$j]));
	    $max = $max < $$arry[$j] ? $$arry[$j] : $max;
	    $min = $min > $$arry[$j] ? $$arry[$j] : $min;
	}
    }
    
    ($max, $min);

}

1;

