# @Version: $Id: Sched_db_vex.pm 9 2013-06-30 03:03:30Z vlbi $
#
package Sched_db_vex;
use Exporter;
@ISA = qw(Exporter);

# @EXPORT = qw();

# use lib "$ENV{HOME}/prog/perl/module";
use Time_lib;

BEGIN{

}


sub new ($){
    my $pkg = shift;
    my $this = {};
    bless $this;
    $this;
}


sub Nskd($){
    my $this = shift;
    my $srcname = $this->{source};
    @$srcname;
}

sub Src_name($$){
    my ($this, $i) = @_;
    my $srcname = $this->{source};
    if($i<@$srcname){ $$srcname[$i];}
    else{
	print STDERR "Error:  skd_src ($i)  is out of range\n";
    }
}

## mode =0 return yy soy
## mode =1 return yy doy sod
## mode =2 retrun yy doy hh mm ss
## mode =3 return Time_lib;
sub Start($$;$){
    my ($this, $i,$mode) = @_;
    my $start = $this->{start};
    if($i< @$start){ 
	my $t1 = $$start[$i];
	my $sod = $t1->Sod();

	if(defined($mode)){
	    if($mode == 0){ 
		my $soy = $dd * 86400. + $sod;
		return ($t1->Year(), $t1->Soy());
	    }elsif($mode == 1){
#		return ($year, $dd, $t1->Sod());
		return ($t1->Year(), $t1->Doy, $t1->Sod());
	    }elsif($mode == 2){
#		return ($year, $dd, $hh, $mm, $ss);
		return $t1->YDHMS();
	    }elsif($mode == 3){
		return $t1;
	    }
	}else{
	    return $t1->Str_fmt1(1);
#	    my $stime = sprintf("%04d/%03d-%02d:%02d:%02d",$year, $dd, $hh, $mm, $ss);
	}
    }else{
	print STDERR "Error:  skd_start ($i)  is out of range\n";
    }
}

# sub Skd_start2($$){
#     my ($this, $i) = @_;
#     my $skddb = $this->{skddb};
#     my $start = $skddb->{start};
#     my $t1 = new Time_lib;
#     if( $i < @$start){ 
# 	$$start[$i] =~/(\d\d)(\d{3})(\d\d)(\d\d)(\d\d)/;
# 	my $yy= $1;
# 	my $dd = $2;
# 	my $hh = $3;
# 	my $mm = $4;
# 	my $ss = $5;
# 	my $year = $yy > 50 ? $yy + 1900 : $yy + 2000; 
# 	$t1->Set_time_ydhms($year, $dd, $hh, $mm, $ss);
# 	$t1->Str_fmt3();
#     }else{
# 	print STDERR "Error:  skd_start ($i)  is out of range\n";
#     }
# }

# sub Skd_dur($$){
#     my ($this, $i) = @_;
#     my $skddb = $this->{skddb};
#     $dur = $skddb->{dur};

#     if($i<@$dur){ 
# 	$$dur[$i];
#     }else{
# 	print STDERR "Error:  skd_dur ($i)  is out of range\n";
#     }
# }

## mode =0 return yy soy
## mode =1 return yy doy sod
## mode =2 retrun yy doy hh mm ss
## mode =3 return Time_lib
sub Stop($$;$$){
    my ($this, $i,$id,$mode) = @_;
    my $start = $this->{start};
    my $dur_list = ${$this->{dur}}[$i];
    my @ids =keys(%$dur_list);
    $id = shift(@ids) unless(defined($id));
    my $dur = $dur_list->{$id}; 
    if($i<@$start){ 
	my $tme = $$start[$i] +  $dur;
	my $sod = $tme->Sod();
	my $soy = $tme->Soy();

	if(defined($mode)){
	    if($mode ==0){
#	    	my $soy = $dd * 86400. + $sod;
		return ($tme->Year(), $tme->Soy());
	    }elsif($mode == 1){
		return ($tme->Year(), $tme->Doy(), $tme->Sod());
	    }elsif($mode == 2){
#		return ($year, $dd, $hh, $mm, $ss);
		return $tme->YDHms();
	    }elsif($mode == 3){
#		my $tm = new Time_lib;
#		$tm->Set_time_ydhms($yy,$dd, $hh,$mm,$ss);
		return $tme;
	    }
	}else{
#	    sprintf("%04d/%03d-%02d:%02d:%02d", $1, $2, $3, $4, $5);
	    $tme->Str_fmt1(1);
	}
    }else{
	print STDERR "Error:  skd_start ($i)  is out of range\n";
    }
}


sub Read($$){
    my ($pkg, $in) =@_;
    my $p = caller;
    my $H;
    if(defined($in)){
	if($in !~/^main/){ $H = $p . "::" . $in;}
	else{ $H =  $in;}
    }else{
	print STDERR "Error in Sched_db_vex::Read(): IN undefined\n";
	return -1;
    }
#    my (%stndb, %srcdb, %skddb);
    my @start_arr;
    my @src_arr;
    my @mode_arr;
    my @dur_arr;
    my @scan_no;
    my $flag=0;
    
    my $line  = <$H>;
    while(!eof($H)){
	next if($line =~/^\*/);
#	my $iskd=0;
	my $skd;
	if($line =~/scan\s*No(\d+)/){
#	    $iskd =$1;
	    push(@scan_no,($1));
	    $flag=1;
	    next;
	}
	next if($flag ==0);

	my %st_dur;
	while(!eof($H) && $flag==1){
	    next if($line=~/^\*/);
	    if($line=~/start\s*=\s*(\d{4})y(\d{3})d(\d\d)h(\d\d)m(\d\d)s;/){
		my @ydhms = ($1, $2, $3, $4,$5);
		my $t1 = new Time_lib;
		$t1->Set_time_ydhms(@ydhms);
		push(@start_arr,($t1));
	    }
	    if($line=~/mode\s*=\s*(\S+)\s*;/){
		push(@mode_arr,($1));
	    }
	    if($line=~/source\s*=\s*(\S+)\s*;/){
		push(@src_arr,($1));
	    }
	    if($line=~/station\s*=\s*(\S+):\s*(\d+)\s*sec:\s*(\d+)\s*sec:\s*([\d,.]*)\s*GB:\s*.*;/){
		$st_dur{$1} = $3;
	    }
	}continue{
	    $line = <$H> unless(eof($H));
	    if($line =~/endscan;/){
		push(@dur_arr,(\%st_dur));
		$flag=0;
		last;
	    }
	}
    }continue{
	$line  = <$H> unless(eof($H));
	last if(!defined($line) || $line =~/^\$/);
    }
    $pkg->{start} = \@start_arr;
    $pkg->{scan} = \@scan_no;
    $pkg->{source}   = \@src_arr;    
    $pkg->{mode}  = \@mode_arr;
    $pkg->{dur}   = \@dur_arr;
    
    return $line;
}

sub ID_list($$){
    my ($pkg, $iskd) = @_;
    my $nskd = $pkg->Nskd();
    if($nskd <= $iskd){
	print STDERR "Error in Sched_db_vex::ID_list(): iskd=$iskd < Nskd($nskd)\n";
	return -1;
    }
    my $dur = $pkg->{dur};
    return $$dur[$iskd];

}

sub Dur($$;$){
    my ($pkg,$iskd,$id) = @_;
    my $dur_arr = $pkg->{dur};
    my @id_arr=keys(%{$$dur_arr[$iskd]});
    $id = shift(@id_arr) unless(defined($id));
    
    return $$dur_arr[$iskd]->{$id};
}

sub Mode($$){
    my ($pkg,$iskd) = @_;
    my $mode =$pkg->{mode};
    if(defined($$mode[$iskd])){
	return $$mode[$iskd]; 
    }else{
	return -1;
    }
}

sub Print_skd($$;$){
    my ($pkg, $iskd,$out) = @_;
    $out = STDOUT unless(defined($out));
    my $nskd =$pkg->Nskd();
    if($nskd <= $iskd){
	print STDERR "Error in Sched_db_vex::Print_skd(): iskd=$iskd < Nskd($nskd)\n";
	return -1;
    }
    my $start = $pkg->{start};
    my $source = $pkg->{source};
    my $mode = $pkg->{mode};
    my $dur_list = $pkg->{dur};
    
    unless(defined($$start[$iskd]) && defined($$source[$iskd]) && 
	   defined($$mode[$iskd]) && defined($$dur_list[$iskd])){
	print STDERR "Error in Sched_db_vex::Print_skd(): index=$iskd is undefined\n";
	return -1;
    }

#    my $dur_list = $pkg->ID_list($iskd);
    my @id_arr = keys(%{$$dur_list[$iskd]});
    my $id = shift(@id_arr); 
    my $dur = $pkg->Dur($iskd,$id);
    my $ids = join("-", @id_arr);
    my $st = $pkg->Start($iskd,3);
    my $et = $pkg->Stop($iskd,$id,3);
    printf $out "%-8s %s - %s ID: %s\n", $pkg->Src_name($iskd), $st->Str_fmt1(),
    $et->Str_fmt1(), $ids;

}


1;

